"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sortObjArrByProps_1 = require("./sortObjArrByProps");
const sortObjArrByPropDirectly_1 = require("./sortObjArrByPropDirectly");
const sortObjArrByPropIndexing_1 = require("./sortObjArrByPropIndexing");
const randomNumberArrayGenerator_1 = require("./randomNumberArrayGenerator");
const showTime = (milliseconds) => {
    return `${((milliseconds) / 1000).toFixed(3)} seconds`;
};
let numberOfArrays = parseInt(process.argv[2]) * 1000;
let eachArraySize = parseInt(process.argv[3]);
if (eachArraySize < 5) {
    eachArraySize = 5;
}
const t1 = performance.now();
(0, randomNumberArrayGenerator_1.NewLongArray)(10e6, 'n');
const t2 = performance.now();
console.log(` -> { NewLongArray(10e6, 'n') }\n    { ${showTime(t2 - t1)} }`);
console.log();
const t3 = performance.now();
(0, randomNumberArrayGenerator_1.NewLongArray)(10e6, 's');
const t4 = performance.now();
console.log(` -> { NewLongArray(10e6, 's') }\n    { ${showTime(t4 - t3)} }`);
console.log();
const t5 = performance.now();
const arrArrString = (0, randomNumberArrayGenerator_1.NewArrOfArrs)(numberOfArrays, randomNumberArrayGenerator_1.NewLongArray, eachArraySize, 's');
const t6 = performance.now();
console.log(` -> { const arrArrString = NewArrOfArrs(${numberOfArrays}, NewLongArray, ${eachArraySize}, 's') }\n    { ${showTime(t6 - t5)} }`);
console.log();
const t7 = performance.now();
const arrArrNumber = (0, randomNumberArrayGenerator_1.NewArrOfArrs)(numberOfArrays, randomNumberArrayGenerator_1.NewLongArray, eachArraySize);
const t8 = performance.now();
console.log(` -> { const arrArrNumber = NewArrOfArrs(${numberOfArrays}, NewLongArray, ${eachArraySize}) }\n    { ${showTime(t8 - t7)} }`);
console.log();
const t9 = performance.now();
(0, sortObjArrByPropIndexing_1.sortObjectArrByPropIndexing)(arrArrString, 3);
const t10 = performance.now();
console.log(` -> { sortObjectArrByPropIndexing(arrArrString, 3) }\n    { ${showTime(t10 - t9)} }`);
console.log();
const t11 = performance.now();
(0, sortObjArrByPropDirectly_1.sortObjectArrByPropDirectly)(arrArrString, 3);
const t12 = performance.now();
console.log(` -> { sortObjectArrByPropDirectly(arrArrString, 3) }\n    { ${showTime(t12 - t11)} }`);
console.log();
const t13 = performance.now();
(0, sortObjArrByPropIndexing_1.sortObjectArrByPropIndexing)(arrArrNumber, 3);
const t14 = performance.now();
console.log(` -> { sortObjectArrByPropIndexing(arrArrNumber, 3) }\n    { ${showTime(t14 - t13)} }`);
console.log();
const t15 = performance.now();
(0, sortObjArrByPropDirectly_1.sortObjectArrByPropDirectly)(arrArrNumber, 3);
const t16 = performance.now();
console.log(` -> { sortObjectArrByPropDirectly(arrArrNumber, 3) }\n    { ${showTime(t16 - t15)} }`);
let sortProps = [];
for (let i = 1; i <= eachArraySize; i++) {
    sortProps.push(i);
}
console.log();
const t17 = performance.now();
(0, sortObjArrByProps_1.sortObjectArrByProps)(arrArrString, sortProps);
const t18 = performance.now();
console.log(` -> { sortObjectArrByProps(arrArrString, [0,1,...,${eachArraySize - 2},${eachArraySize - 1}]) }\n    { ${showTime(t18 - t17)} }`);
console.log();
const t19 = performance.now();
(0, sortObjArrByProps_1.sortObjectArrByProps)(arrArrNumber, sortProps);
const t20 = performance.now();
console.log(` -> { sortObjectArrByProps(arrArrNumber, [0,1,...,${eachArraySize - 2},${eachArraySize - 1}]) }\n    { ${showTime(t20 - t19)} }`);
console.log();
const t21 = performance.now();
(0, sortObjArrByProps_1.sortObjectArrByProps)(arrArrString, 3);
const t22 = performance.now();
console.log(` -> { sortObjectArrByProps(arrArrString, 3) }\n    { ${showTime(t22 - t21)} }`);
console.log();
const t23 = performance.now();
(0, sortObjArrByProps_1.sortObjectArrByProps)(arrArrNumber, 3);
const t24 = performance.now();
console.log(` -> { sortObjectArrByProps(arrArrNumber, 3) }\n    { ${showTime(t24 - t23)} }`);
